Package twisted :: Package lore :: Module latex

[show private | hide private]
[frames | no frames]

## Module twisted.lore.latex

Classes
`BaseLatexSpitter` |
`BookLatexSpitter` |
`ChapterLatexSpitter` |
`FootnoteLatexSpitter` | For multi-paragraph footnotes, this avoids having an empty leading paragraph.
`HeadingLatexSpitter` |
`LatexSpitter` |
`SectionLatexSpitter` |

Function Summary
| `convertFile(filename, spitterClass)`
| `getLatexText(node, writer, filter, entities)`
| `latexEscape(text)`
| `processFile(spitter, fin)`
| `realpath(path)`
| `_escapeMatch(match)`

Variable Summary
`dict` | `entities`
`SRE_Pattern` | `escapingRE`
`SRE_Pattern` | `lowerUpperRE`

Variable Details

### entities

  Type:
    `dict`
  Value:

        {'amp': '\\&', 'lt': '<', 'gt': '>', 'copy': '\\copyright', 'quot': '"\
        '}

### escapingRE

  Type:
    `SRE_Pattern`
  Value:

        ([#\$%&_\{\}\^~\\])

### lowerUpperRE

  Type:
    `SRE_Pattern`
  Value:

        ([a-z])([A-Z])

Generated by Epydoc 1.1 on Thu May 8 13:18:30 2003 | http://epydoc.sf.net